> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the playground provisioning status

> Reads the provisioning phase of the organisation's playground. A playground belonging to another organisation is not found.



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /org/clusters/playground/{clusterId}/status
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /org/clusters/playground/{clusterId}/status:
    get:
      tags:
        - clusters
      summary: Read the playground provisioning status
      description: >-
        Reads the provisioning phase of the organisation's playground. A
        playground belonging to another organisation is not found.
      operationId: get_playground_status_browser
      parameters:
        - in: path
          name: clusterId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlaygroundStatusResponse'
          description: Successful response
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Unauthenticated
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Permission or CSRF check failed
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Playground not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContractDetailError'
          description: Internal server error
components:
  schemas:
    PlaygroundStatusResponse:
      properties:
        cluster_id:
          type: string
        phase:
          enum:
            - pending
            - provisioning
            - agent_installing
            - ready
            - failed
            - deprovisioning
            - removed
          type: string
        status_message:
          type: string
          nullable: true
        expires_at:
          format: date-time
          type: string
      required:
        - cluster_id
        - phase
        - expires_at
      title: PlaygroundStatusResponse
      type: object
    ContractDetailError:
      example:
        detail: Cluster not found
      properties:
        detail:
          oneOf:
            - type: string
            - additionalProperties: true
              properties: {}
              type: object
      required:
        - detail
      type: object

````